# GstGLFeature

## Functions

### gst_gl_check_extension

    gboolean
    gst_gl_check_extension (const char* name,
                            const gchar * ext)

Parameters:

`name` –

the extension to search for

`ext` –

the list of possible extensions

Returns –

whether name is in the space separated list of ext

### GstGL.prototype.gl_check_extension

    function GstGL.prototype.gl_check_extension(name: String, ext: String): {
        // javascript wrapper for 'gst_gl_check_extension'
    }

Parameters:

`name` (String) –

the extension to search for

`ext` (String) –

the list of possible extensions

Returns (Number) –

whether name is in the space separated list of ext

### GstGL.gl_check_extension

    def GstGL.gl_check_extension (name, ext):
        #python wrapper for 'gst_gl_check_extension'

Parameters:

`name` (str) –

the extension to search for

`ext` (str) –

the list of possible extensions

Returns (bool) –

whether name is in the space separated list of ext

## Function Macros

### GST_GL_CHECK_GL_VERSION

    #define GST_GL_CHECK_GL_VERSION(driver_major, driver_minor, \
                                    target_major, target_minor) \
      ((driver_major) > (target_major) || \
       ((driver_major) == (target_major) && (driver_minor) >= (target_minor)))

The results of the search are